/*
 * (c) 2025 Jens Mueller
 *
 * JBASICODE
 *
 * Exception for GOTO and GOSUB instructions
 */

package jbasicode.bc;


public class GotoException extends Exception
{
  private int index;
  private int bcLineNum;


  public GotoException( int index, int bcLineNum )
  {
    this.index     = index;
    this.bcLineNum = bcLineNum;
  }


  public int getIndex()
  {
    return this.index;
  }


  public int getBCLineNumber()
  {
    return this.bcLineNum;
  }
}
