/*
 * (c) 2025 Jens Mueller
 *
 * JBASICODE
 *
 * Data of a source line
 */

package jbasicode.bc;


public class SourceLine
{
  private int     lineNum;
  private String  lineText;
  private Integer bcLineNum;
  private int     firstInstrIdx;

  public SourceLine(
	      int     lineNum,
	      String  lineText,
	      Integer bcLineNum,
	      int     firstInstrIdx )
  {
    this.lineNum       = lineNum;
    this.lineText      = lineText;
    this.bcLineNum     = bcLineNum;
    this.firstInstrIdx = firstInstrIdx;
  }


  public Integer getBCLineNumber()
  {
    return this.bcLineNum;
  }


  public int getFirstInstructionIndex()
  {
    return this.firstInstrIdx;
  }


  public String getLineText()
  {
    return this.lineText;
  }
}
