/*
 * (c) 2025 Jens Mueller
 *
 * JBASICODE
 *
 * ByteArrayOutputStream with the possibility to read the content
 * by an InputStream
 */

package jbasicode.etc;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.InputStream;


public class ExtByteArrayOutputStream extends ByteArrayOutputStream
{
  public ExtByteArrayOutputStream( int initialCapacity )
  {
    super( initialCapacity );
  }


  public InputStream createInputStream()
  {
    return new ByteArrayInputStream( this.buf, 0, this.count );
  }
}
